## org.apache.lucene.facet.search
Interface ScoredDocIDsIterator

    public interface ScoredDocIDsIterator

Iterator over document IDs and their scores. Each `next()` retrieves the next docID and its score which can be later be retrieved by `getDocID()` and `getScore()`. NOTE: you must call `next()` before `getDocID()` and/or `getScore()`, or otherwise the returned values are unexpected.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`static float` `DEFAULT_SCORE` Default score used in case scoring is disabled.

Method Summary
`int` `getDocID()` Returns the ID of the current document.
`float` `getScore()` Returns the score of the current document.
`boolean` `next()` Iterate to the next document/score pair.

Field Detail

### DEFAULT_SCORE

    static final float DEFAULT_SCORE

  Default score used in case scoring is disabled.

  See Also:
    Constant Field Values

Method Detail

### next

    boolean next()

  Iterate to the next document/score pair. Returns true iff there is such a pair.

### getDocID

    int getDocID()

  Returns the ID of the current document.

### getScore

    float getScore()

  Returns the score of the current document.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.